import { Component, OnInit } from '@angular/core';

import 'brace/mode/python';
import 'brace/theme/monokai';

const defaultSourceCode =
  `def hello():
      print('Hello world!')`;

@Component({
  selector: 'app-webide',
  templateUrl: './webide.component.html',
  styleUrls: ['./webide.component.scss']
})
export class WebideComponent implements OnInit {
  code: string = defaultSourceCode;
  language = 'python';
  theme = 'monokai';

  constructor() { }

  ngOnInit() {
  }

}
